
/* global describe it */

/*
 * Module dependencies.
 */

var assert = require('assert')

var SimpleSpamFilter = require('../lib')

/*
 * Tests.
 */

describe('simple-spam-filter', function () {
  var opts = {
    minWords: 5,
    maxPercentCaps: 30,
    maxNumSwearWords: 2
  }

  var ssf = new SimpleSpamFilter(opts)

  it('should mark as spam', function (done) {
    var caps = 'WHAT\'s UP MAN how you doing'
    var swearWords = 'damn it lets fuck shit up'
    var tooShort = 'some words'

    assert(ssf.isSpam(caps))
    assert(ssf.isSpam(swearWords))
    assert(ssf.isSpam(tooShort))

    done()
  })

  it('should not mark as spam', function (done) {
    var q = 'just a normal question here nothing bad'
    assert(ssf.isSpam(q) === false)
    done()
  })

  it('should not mark as spam if opts not set', function (done) {
    ssf = new SimpleSpamFilter({})
    var caps = 'WHAT\'s UP MAN how you doing'
    var swearWords = 'damn it lets fuck shit up'
    var tooShort = 'some words'

    assert(!ssf.isSpam(caps))
    assert(!ssf.isSpam(swearWords))
    assert(!ssf.isSpam(tooShort))

    done()
  })
})
